> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sources

> List sources in the caller's org, sorted by created_at desc.

If space_id is provided, returns only sources in that space.
Otherwise, returns sources across all spaces in the org.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/sources
openapi: 3.1.0
info:
  title: Crosmos Memory API
  description: Agent memory system with hybrid retrieval
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/sources:
    get:
      tags:
        - sources
      summary: List Sources
      description: |-
        List sources in the caller's org, sorted by created_at desc.

        If space_id is provided, returns only sources in that space.
        Otherwise, returns sources across all spaces in the org.
      operationId: list_sources_api_v1_sources_get
      parameters:
        - name: space_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Space Id
        - name: content_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Content Type
        - name: extraction_status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Extraction Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SourceListResponse:
      properties:
        sources:
          anyOf:
            - items:
                $ref: '#/components/schemas/SourceSummary'
              type: array
            - items:
                $ref: '#/components/schemas/SourceResponse'
              type: array
          title: Sources
        count:
          type: integer
          title: Count
        total:
          type: integer
          title: Total
          description: Total matching sources (for pagination)
          default: 0
      type: object
      required:
        - sources
        - count
      title: SourceListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SourceSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        space_id:
          type: string
          format: uuid
          title: Space Id
        content_type:
          type: string
          title: Content Type
        extraction_status:
          type: string
          title: Extraction Status
        meta:
          title: Meta
        token_count:
          type: integer
          title: Token Count
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        content_preview:
          type: string
          title: Content Preview
          description: First 200 chars of source content for list views
          default: ''
      type: object
      required:
        - id
        - space_id
        - content_type
        - extraction_status
        - token_count
        - created_at
        - updated_at
      title: SourceSummary
    SourceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        space_id:
          type: string
          format: uuid
          title: Space Id
        content:
          type: string
          title: Content
        content_type:
          type: string
          title: Content Type
        extraction_status:
          type: string
          title: Extraction Status
        meta:
          title: Meta
        token_count:
          type: integer
          title: Token Count
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - space_id
        - content
        - content_type
        - extraction_status
        - token_count
        - created_at
        - updated_at
      title: SourceResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: JWT access token or API key (csk_…)
      scheme: bearer

````